View Issue Details

IDProjectCategoryView StatusLast Update
0014135FPCDatabasepublic2010-03-27 21:43
ReporterBoguslaw BrandysAssigned ToLuiz Americo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformwindowsOSwindows xp homeOS Version32-bit
Product Version2.3.1Product BuildLazarus 0.9.27 r20829 FPC 2.3.1  
Target Version2.4.0Fixed in Version2.4.0 
Summary0014135: Sqlite3Dataset, LOcate method doesn't work properly with locale characters in loCaseInsensitive mode
DescriptionTowary.Locate(DBgrid1.SelectedColumn.FieldName,szukane,loCaseInsensitive,loPartialKey])

doesn't find any record when szukane contains Polish char but in uppercase while Field contain the same string but lowercase

I've tested with Lazarus in UTF8 so it might by binary comparision anyway, when trying to search for Utf8ToSys(szukane) it doesn't work at all.
TagsNo tags attached.
Fixed in Revision13425
FPCOldBugId0
FPCTarget
Attached Files

Activities

Boguslaw Brandys

2009-07-12 11:47

reporter   ~0029059

Should be : Towary.Locate(DBgrid1.SelectedColumn.FieldName,szukane,[loCaseInsensitive,loPartialKey])

Issue History

Date Modified Username Field Change
2009-07-12 11:47 Boguslaw Brandys New Issue
2009-07-12 11:47 Boguslaw Brandys Note Added: 0029059
2009-07-12 12:41 Jonas Maebe FPCOldBugId => 0
2009-07-12 12:41 Jonas Maebe Assigned To => Joost van der Sluis
2009-07-12 12:41 Jonas Maebe Status new => assigned
2009-07-12 12:41 Jonas Maebe Category FCL => Database Components
2009-07-12 23:57 Luiz Americo Assigned To Joost van der Sluis => Luiz Americo
2009-07-22 23:50 Luiz Americo Fixed in Revision => 13425
2009-07-22 23:50 Luiz Americo Status assigned => resolved
2009-07-22 23:50 Luiz Americo Fixed in Version => 2.3.1
2009-07-22 23:50 Luiz Americo Resolution open => fixed
2009-07-22 23:50 Luiz Americo Target Version => 2.4.0
2010-03-27 21:43 Jonas Maebe Status resolved => closed